Bug 160323 - Yum fails if proxy doesn't support byte ranges
Yum fails if proxy doesn't support byte ranges
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
4
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-06-14 09:43 EDT by David Wood
Modified: 2014-01-21 17:52 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-06-20 16:48:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Wood 2005-06-14 09:43:17 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-GB; rv:1.7.8) Gecko/20050524 Fedora/1.0.4-4 Firefox/1.0.4

Description of problem:
This is a follow-up to unresolved bug 134294 and is also connected with bug 140387.  Under our current corporate IT security policy, our HTTP and FTP proxy servers are not permitted to support byte ranges.  This has been an issue since yum 2.1 which I have worked around by sticking with yum 2.0.7.  However, I notice that in FC4, the headers folder is missing from the updates directory (apart from at ayo.freshrpms.net ?).  If the header.info approach is being phased out, I'm going to be stuck soon. So ...
1) Can yum be modified to avoid using byte ranges in environments where they are not supported?
2) Why are update headers only available at ayo.freshrpms.net ? If they can be posted there, please could they also appear at fedora.redhat.com

Version-Release number of selected component (if applicable):
yum-2.3.2-7

How reproducible:
Always

Steps to Reproduce:
1.  Run yum install cups-devel (for example)
  

Actual Results:  Repository updates-released already added, not adding again
Repository base already added, not adding again
Setting up Install Process
Setting up repositories
base                      100% |=========================|  951 B    00:00
updates-released          100% |=========================|  951 B    00:00
extras                    100% |=========================|  951 B    00:00
Reading repository metadata in from local files
Parsing package install arguments
Resolving Dependencies
--> Populating transaction set with selected packages. Please wait.
---> Downloading header for cups-devel to pack into transaction set.
http://ayo.freshrpms.net/fedora/linux/4/i386/core/Fedora/RPMS/cups-devel-1.1.23-15.i386.rpm: [Errno 4] IOError: HTTP Error 404: None
Trying other mirror.
Error: failure: Fedora/RPMS/cups-devel-1.1.23-15.i386.rpm from base: [Errno 256] No more mirrors to try.


Expected Results:  I will do the following:
[install: cups-devel 1:1.1.23-15.i386]
Is this ok [y/N]: y
Downloading Packages
Running test transaction:
Test transaction complete, Success!
cups-devel 100 % done 1/1
Installed:  cups-devel 1:1.1.23-15.i386
Transaction(s) Complete


Additional info:
Comment 1 Seth Vidal 2005-06-14 10:12:30 EDT
http byterange support is a necessary part of yum. We need to be able to
download only a portion of the file to get important information.

We won't be adding yum 2.0.X headers support back into FC4 or FC5. There may be
otherways to work around the need for byte-ranges in the future but for now
there is no option.

Note You need to log in before you can comment on or make changes to this bug.